const statusCode = require("../utils/statusCodes").statusCodes;
const { registerMailbox } = require("../db/api");
const { getAddresseId } = require("../db/mail");

async function addMailbox(body, res) {
    const { email, pwd, xoauth, xoauth2, host, port, tls } = body;
    getAddresseId(email).then((addressId) => {
        registerMailbox(addressId, pwd, xoauth, xoauth2, host, port, tls)
            .then((mailboxId) => {
                res.status(statusCode.OK).json({ id: mailboxId });
            })
            .catch(() => {
                res.status(statusCode.INTERNAL_SERVER_ERROR);
            });
    });
}

module.exports = {
    addMailbox,
};
