const mysql = require("mysql");
const MYSQL = require("./config.json").mysql;
const DEBUG = require("../utils/debug.js").DEBUG;


const db = mysql.createConnection({
    host: MYSQL.host,
    user: MYSQL.user,
    password: MYSQL.pwd,
    database: MYSQL.database,
});

db.connect(function (err) {
    if (err) {
        DEBUG.log("Impossible de se connecter", err.code);
    } else {
        DEBUG.log("Database successfully connected");
    }
});

function execQueryAsync(query, values) {
    return new Promise((resolve, reject) => {
        db.query(query, values, (err, results, fields) => {
            if (err) {
                reject(err);
            } else {
                resolve(results);
            }
        });
    });
}

function execQueryAsyncWithId(query, values) {
    return new Promise((resolve, reject) => {
        db.query(query, values, (err, results, fields) => {
            if (err) {
                reject(err);
            } else {
                resolve(results.insertId);
            }
        });
    });
}

function execQuery(query, values) {
    db.query(query, values, (err, results, fields) => {
        if (err) {
            DEBUG.log(err);
            throw (err);
        }
        return results;
    });
}

module.exports = {
    db,    // todo remove this
    execQuery,
    execQueryAsync,
    execQueryAsyncWithId
};